/** Header file generated with fdesign on Sun Aug 22 23:01:58 1999.**/

#ifndef FD_fMenu_h_
#define FD_fMenu_h_

/** Callbacks, globals and object handlers **/
extern void cb_mProject(FL_OBJECT *, long);
extern void cb_mSettings(FL_OBJECT *, long);
extern void cb_mShow(FL_OBJECT *, long);
extern void cb_mTrack(FL_OBJECT *, long);

extern void cb_iPrgOptAudioDir(FL_OBJECT *, long);
extern void cb_butPrgOptOK(FL_OBJECT *, long);
extern void cb_butPrgOptCancel(FL_OBJECT *, long);
extern void cb_iPrgOptMixerApp(FL_OBJECT *, long);
extern void cb_butPrgOptBrowseAudioDir(FL_OBJECT *, long);
extern void cb_butPrgOptBrowseMixerApp(FL_OBJECT *, long);
extern void cb_chPrgOptHideWindows(FL_OBJECT *, long);
extern void cb_chPrgOptRecCount(FL_OBJECT *, long);

extern void cb_iAudOptPlaybackDev(FL_OBJECT *, long);
extern void cb_iAudOptRecordDev(FL_OBJECT *, long);
extern void cb_butAudOptOK(FL_OBJECT *, long);
extern void cb_butAudOptCancel(FL_OBJECT *, long);
extern void cb_chAudOptFullDuplex(FL_OBJECT *, long);
extern void cb_butAudOptTestPlay(FL_OBJECT *, long);
extern void cb_butAudOptTestRecord(FL_OBJECT *, long);
extern void cb_chAudOptBits(FL_OBJECT *, long);
extern void cb_chAudOptChannels(FL_OBJECT *, long);
extern void cb_chAudOptSampleRate(FL_OBJECT *, long);
extern void cb_chAudOptRecMode(FL_OBJECT *, long);
extern void cb_chAudOptPlayMode(FL_OBJECT *, long);
/* manually added */
extern void cb_iAudOptPlayFragsize(FL_OBJECT *, long);
extern void cb_iAudOptPlayFragments(FL_OBJECT *, long);
extern void cb_butAudOptGetPlayInfo(FL_OBJECT *, long);
extern void cb_butAudOptTestPlayInfo(FL_OBJECT *, long);

extern void cb_iAudOptRecFragsize(FL_OBJECT *, long);
extern void cb_iAudOptRecFragments(FL_OBJECT *, long);
extern void cb_butAudOptGetRecInfo(FL_OBJECT *, long);
extern void cb_butAudOptTestRecInfo(FL_OBJECT *, long);

extern void cb_iAudOptDuplexPlayFragsize(FL_OBJECT *, long);
extern void cb_iAudOptDuplexPlayFragments(FL_OBJECT *, long);
extern void cb_iAudOptDuplexRecFragsize(FL_OBJECT *, long);
extern void cb_iAudOptDuplexRecFragments(FL_OBJECT *, long);
extern void cb_butAudOptGetDuplexInfo(FL_OBJECT *, long);
extern void cb_butAudOptTestDuplexInfo(FL_OBJECT *, long);


extern void cb_canTrack(FL_OBJECT *, long);
extern void cb_sliTrackZoom(FL_OBJECT *, long);
extern void cb_sliTrackScroll(FL_OBJECT *, long);
extern void cb_butTrackPlay(FL_OBJECT *, long);
extern void cb_butTrackStop(FL_OBJECT *, long);
extern void cb_butTrackRec(FL_OBJECT *, long);
extern void cb_butTrackClose(FL_OBJECT *, long);


extern void cb_canStop(FL_OBJECT *, long);


/**** Forms and Objects ****/
typedef struct {
	FL_FORM *fMenu;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *mProject;
	FL_OBJECT *mSettings;
	FL_OBJECT *mShow;
	FL_OBJECT *mTrack;
} FD_fMenu;

extern FD_fMenu * create_form_fMenu(void);
typedef struct {
	FL_FORM *fSetPrg;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *iPrgOptAudioDir;
	FL_OBJECT *butPrgOptOK;
	FL_OBJECT *butPrgOptCancel;
	FL_OBJECT *iPrgOptMixerApp;
	FL_OBJECT *butProOptBrowseAudioDir;
	FL_OBJECT *butPrgOptBrowseMixerApp;
	FL_OBJECT *chPrgOptHideWindows;
	FL_OBJECT *chPrgOptRecCount;
} FD_fSetPrg;

extern FD_fSetPrg * create_form_fSetPrg(void);

typedef struct {
	FL_FORM *fSetAudio;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *iAudOptPlaybackDev;
	FL_OBJECT *iAudOptRecordDev;
	FL_OBJECT *butAudOptOK;
	FL_OBJECT *butAudOptCancel;
	FL_OBJECT *chAudOptFullDuplex;
	FL_OBJECT *butAudOptTestPlay;
	FL_OBJECT *butAudOptTestRecord;
	FL_OBJECT *chAudOptBits;
	FL_OBJECT *chAudOptChannels;
	FL_OBJECT *chAudOptSampleRate;
	FL_OBJECT *chAudOptRecMode;
	FL_OBJECT *chAudOptPlayMode;
	/* added manually */
	FL_OBJECT *iAudOptPlayFragsize;
	FL_OBJECT *iAudOptPlayFragments;
    FL_OBJECT *butAudOptGetPlayInfo;
    FL_OBJECT *butAudOptTestPlayInfo;

	FL_OBJECT *iAudOptRecFragsize;
	FL_OBJECT *iAudOptRecFragments;
    FL_OBJECT *butAudOptGetRecInfo;
    FL_OBJECT *butAudOptTestRecInfo;

	FL_OBJECT *iAudOptDuplexPlayFragsize;
	FL_OBJECT *iAudOptDuplexPlayFragments;
	FL_OBJECT *iAudOptDuplexRecFragsize;
	FL_OBJECT *iAudOptDuplexRecFragments;
    FL_OBJECT *butAudOptGetDuplexInfo;
    FL_OBJECT *butAudOptTestDuplexInfo;
} FD_fSetAudio;

extern FD_fSetAudio * create_form_fSetAudio(void);
typedef struct {
	FL_FORM *fTracks;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *canTrack;
	FL_OBJECT *sliTrackZoom;
	FL_OBJECT *sliTrackScroll;
	FL_OBJECT *butTrackPlay;
	FL_OBJECT *butTrackStop;
	FL_OBJECT *butTrackRec;
	FL_OBJECT *butTrackClose;
} FD_fTracks;

extern FD_fTracks * create_form_fTracks(void);

typedef struct {
	FL_FORM *fMeter;
	void *vdata;
	char *cdata;
	long  ldata;
} FD_fMeter;

extern FD_fMeter * create_form_fMeter(void);


typedef struct {
        FL_FORM *fStop;
        void *vdata;
        char *cdata;
        long  ldata;
        FL_OBJECT *canStop;
} FD_fStop;

extern FD_fStop * create_form_fStop(void);


#endif /* FD_fMenu_h_ */
