#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <math.h>
#include "error.h"



int CutLF(char *Zeile,int MaxSize)
{
  int i=0;

  if(Zeile==NULL)
    return 0;

  while(i<MaxSize)
  {
    if((int)*Zeile==10)       /* searches LF */
    {
      *Zeile=0;
      return 0;
    }
    if((int)*Zeile==0)
      return 0;
    Zeile++;
    i++;
  }

  *(Zeile-1)=0;  /* cut to allowed string size */
  StoreErrorMsg("string too long",ERR_CRITICAL);
  return -1;
}



int CheckSlashAtEnd(char *Zeile)
{
  char *tmp1=Zeile;

  if(Zeile==NULL)
    return 0;

  /* move tmp1 to end of string */
  while(*tmp1 != 0)
    tmp1++;

  tmp1--;
  if(*tmp1 == '/')
    return 1;
  else 
    return 0;
}


int CutLastSlash(char *Zeile)
{
  char *tmp1=Zeile;

  if(Zeile==NULL)
    return 0;

  /* move tmp1 to end of string */
  while(*tmp1 != 0)
    tmp1++;

  while((tmp1--) != Zeile)
  {
    if(*tmp1 == '/')
    {
      *tmp1=0;
      return 1;
    }
  }
  return 0;
}


int AddExtensionString(char *Zeile, char *String)
{
  char *tmp=Zeile;

  if(Zeile==NULL)
    return 0;
  if(strstr(Zeile,String)!=NULL)
    return 0;
  CutLF(Zeile,299);
  while(*tmp != 0)
    tmp++;
  sprintf(tmp,"%s",String);
  return 1;
}



long CalcFragInfo(int Fragsize, int Fragments)
{
  long FragInfo=0;
  short Fragsize2=0;

  Fragsize2=(float)(log(Fragsize)/log(2));
  FragInfo= (Fragments << 16)|(Fragsize2);
  return FragInfo;
}







