/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "xwin2.h"
#include "global.h"

static FL_PUP_ENTRY fdmenu_mProject_0[] =
{ 
    /*  itemtext   callback  shortcut   mode */
    { "New",	0,	"",	 FL_PUP_NONE},
    { "Open",	0,	"",	 FL_PUP_NONE},
    { "Save",	0,	"",	 FL_PUP_NONE},
    { "Save as%l",	0,	"",	 FL_PUP_NONE},
    { "QUIT",	0,	"",	 FL_PUP_NONE},
    {0}
};

static FL_PUP_ENTRY fdmenu_mSettings_1[] =
{ 
    /*  itemtext   callback  shortcut   mode */
    { "Program",	0,	"",	 FL_PUP_NONE},
    { "Audio",	0,	"",	 FL_PUP_NONE},
    { "Save",	0,	"",	 FL_PUP_NONE},
    {0}
};

static FL_PUP_ENTRY fdmenu_mShow_2[] =
{ 
    /*  itemtext   callback  shortcut   mode */
    { "VU Meter",	0,	"",	 FL_PUP_CHECK},
    { "Tracks",	0,	"",	 FL_PUP_CHECK},
    {0}
};

static FL_PUP_ENTRY fdmenu_mTrack_3[] =
{ 
    /*  itemtext   callback  shortcut   mode */
    { "Add",	0,	"",	 FL_PUP_NONE},
    { "Remove",	0,	"",	 FL_PUP_NONE},
    { "Edit",	0,	"",	 FL_PUP_NONE},
    { "Import",	0,	"",	 FL_PUP_NONE},
    { "Export",	0,	"",	 FL_PUP_NONE},
    {0}
};

FD_fMenu *create_form_fMenu(void)
{
  FL_OBJECT *obj;
  FD_fMenu *fdui = (FD_fMenu *) fl_calloc(1, sizeof(*fdui));

  fdui->fMenu = fl_bgn_form(FL_NO_BOX, 300, 150);
  obj = fl_add_box(FL_UP_BOX,0,0,300,150,"");
/*    fl_set_object_resize(obj, FL_RESIZE_NONE);  */
  obj = fl_add_box(FL_UP_BOX,0,0,300,40,"");
  fdui->mProject = obj = fl_add_menu(FL_PULLDOWN_MENU,10,10,70,20,"Project");
    fl_set_object_callback(obj,cb_mProject,0);
    fl_set_menu_entries(obj, fdmenu_mProject_0);
  obj = fl_add_text(FL_NORMAL_TEXT,40,40,220,40,"XhdREC");
    fl_set_object_color(obj,FL_COL1,FL_BLACK);
    fl_set_object_lcolor(obj,FL_GREEN);
    fl_set_object_lsize(obj,FL_HUGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLDITALIC_STYLE+FL_SHADOW_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,40,80,220,20,"A. Skrodzki 1999");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,40,100,220,20,"www.neuss.netsurf.de/~skrodzki");
    fl_set_object_lsize(obj,FL_TINY_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);

  obj = fl_add_text(FL_NORMAL_TEXT,40,120,220,20,VERSION);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);

  fdui->mSettings = obj = fl_add_menu(FL_PULLDOWN_MENU,150,10,70,20,"Settings");
    fl_set_object_callback(obj,cb_mSettings,0);
    fl_set_menu_entries(obj, fdmenu_mSettings_1);
  fdui->mShow = obj = fl_add_menu(FL_PULLDOWN_MENU,220,10,70,20,"Show");
    fl_set_object_callback(obj,cb_mShow,0);
    fl_set_menu_entries(obj, fdmenu_mShow_2);
  fdui->mTrack = obj = fl_add_menu(FL_PULLDOWN_MENU,80,10,70,20,"Track");
    fl_set_object_callback(obj,cb_mTrack,0);
    fl_set_menu_entries(obj, fdmenu_mTrack_3);
  fl_end_form();

  fdui->fMenu->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

static FL_PUP_ENTRY fdchoice_chPrgOptHideWindows_4[] =
{ 
    /*  itemtext   callback  shortcut   mode */
    { "YES",	0,	"",	 FL_PUP_NONE},
    { "NO",	0,	"",	 FL_PUP_NONE},
    {0}
};

static FL_PUP_ENTRY fdchoice_chPrgOptRecCount_5[] =
{ 
    /*  itemtext   callback  shortcut   mode */
    { "NONE",	0,	"",	 FL_PUP_NONE},
    { "1 sec",	0,	"",	 FL_PUP_NONE},
    { "3 sec",	0,	"",	 FL_PUP_NONE},
    { "5 sec",	0,	"",	 FL_PUP_NONE},
    { "10 sec",	0,	"",	 FL_PUP_NONE},
    {0}
};

FD_fSetPrg *create_form_fSetPrg(void)
{
  FL_OBJECT *obj;
  FD_fSetPrg *fdui = (FD_fSetPrg *) fl_calloc(1, sizeof(*fdui));

  fdui->fSetPrg = fl_bgn_form(FL_NO_BOX, 420, 350);
  obj = fl_add_box(FL_UP_BOX,0,0,420,350,"");
/*    fl_set_object_resize(obj, FL_RESIZE_NONE); */
  obj = fl_add_box(FL_FRAME_BOX,10,10,400,50,"");
  obj = fl_add_text(FL_NORMAL_TEXT,20,20,380,30,"Program Options");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,10,70,120,30,"Audio Directory");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  fdui->iPrgOptAudioDir = obj = fl_add_input(FL_NORMAL_INPUT,130,70,200,30,"");
    fl_set_object_callback(obj,cb_iPrgOptAudioDir,0);
  fdui->butPrgOptOK = obj = fl_add_button(FL_NORMAL_BUTTON,220,300,150,40,"OK");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_butPrgOptOK,0);
  fdui->butPrgOptCancel = obj = fl_add_button(FL_NORMAL_BUTTON,50,300,150,40,"Cancel");
    fl_set_object_callback(obj,cb_butPrgOptCancel,0);
  obj = fl_add_text(FL_NORMAL_TEXT,10,100,120,30,"Mixer Application");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  fdui->iPrgOptMixerApp = obj = fl_add_input(FL_NORMAL_INPUT,130,100,200,30,"");
    fl_set_object_callback(obj,cb_iPrgOptMixerApp,0);
  fdui->butProOptBrowseAudioDir = obj = fl_add_button(FL_NORMAL_BUTTON,330,70,80,30,"Browse");
    fl_set_object_callback(obj,cb_butPrgOptBrowseAudioDir,0);
  fdui->butPrgOptBrowseMixerApp = obj = fl_add_button(FL_NORMAL_BUTTON,330,100,80,30,"Browse");
    fl_set_object_callback(obj,cb_butPrgOptBrowseMixerApp,0);
  obj = fl_add_text(FL_NORMAL_TEXT,10,130,120,30,"Hide Windows while rec");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  fdui->chPrgOptHideWindows = obj = fl_add_choice(FL_NORMAL_CHOICE2,130,130,80,30,"");
    fl_set_object_callback(obj,cb_chPrgOptHideWindows,0);
   fl_set_choice_entries(obj, fdchoice_chPrgOptHideWindows_4);
   fl_set_choice(obj,1);
  obj = fl_add_text(FL_NORMAL_TEXT,210,130,120,30,"Rec Countdown");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  fdui->chPrgOptRecCount = obj = fl_add_choice(FL_NORMAL_CHOICE2,330,130,80,30,"");
    fl_set_object_callback(obj,cb_chPrgOptRecCount,0);
   fl_set_choice_entries(obj, fdchoice_chPrgOptRecCount_5);
   fl_set_choice(obj,2);
  fl_end_form();

  fdui->fSetPrg->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

static FL_PUP_ENTRY fdchoice_chAudOptFullDuplex_6[] =
{ 
    /*  itemtext   callback  shortcut   mode */
    { "YES",	0,	"",	 FL_PUP_NONE},
    { "NO",	0,	"",	 FL_PUP_NONE},
    {0}
};

static FL_PUP_ENTRY fdchoice_chAudOptRecMode_7[] =
{ 
    /*  itemtext   callback  shortcut   mode */
    { "direct",	0,	"",	 FL_PUP_NONE},
    { "memory",	0,	"",	 FL_PUP_NONE},
    {0}
};

static FL_PUP_ENTRY fdchoice_chAudOptBits_8[] =
{ 
    /*  itemtext   callback  shortcut   mode */
    { "8 Bit",	0,	"",	 FL_PUP_NONE},
    { "16 Bit",	0,	"",	 FL_PUP_NONE},
    {0}
};

static FL_PUP_ENTRY fdchoice_chAudOptChannels_9[] =
{ 
    /*  itemtext   callback  shortcut   mode */
    { "1",	0,	"",	 FL_PUP_NONE},
    { "2",	0,	"",	 FL_PUP_NONE},
    {0}
};

static FL_PUP_ENTRY fdchoice_chAudOptSampleRate_10[] =
{ 
    /*  itemtext   callback  shortcut   mode */
    { "8000 Hz",	0,	"",	 FL_PUP_NONE},
    { "11025 Hz",	0,	"",	 FL_PUP_NONE},
    { "22050 Hz",	0,	"",	 FL_PUP_NONE},
    { "44100 Hz",	0,	"",	 FL_PUP_NONE},
    {0}
};

static FL_PUP_ENTRY fdchoice_chAudOptPlayMode_11[] =
{ 
    /*  itemtext   callback  shortcut   mode */
    { "direct",	0,	"",	 FL_PUP_NONE},
    { "mixfile",	0,	"",	 FL_PUP_NONE},
    { "memory",	0,	"",	 FL_PUP_NONE},
    {0}
};

FD_fSetAudio *create_form_fSetAudio(void)
{
  FL_OBJECT *obj;
  FD_fSetAudio *fdui = (FD_fSetAudio *) fl_calloc(1, sizeof(*fdui));

  fdui->fSetAudio = fl_bgn_form(FL_NO_BOX, 420, 560);
  obj = fl_add_box(FL_UP_BOX,0,0,420,560,"");
/*    fl_set_object_resize(obj, FL_RESIZE_NONE); */
  obj = fl_add_box(FL_FRAME_BOX,10,10,400,50,"");
  obj = fl_add_text(FL_NORMAL_TEXT,20,20,380,30,"Audio Options");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,10,70,120,30,"Playback Device");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  fdui->iAudOptPlaybackDev = obj = fl_add_input(FL_NORMAL_INPUT,130,70,200,30,"");
    fl_set_object_callback(obj,cb_iAudOptPlaybackDev,0);
  obj = fl_add_text(FL_NORMAL_TEXT,10,100,120,30,"Record Device");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  fdui->iAudOptRecordDev = obj = fl_add_input(FL_NORMAL_INPUT,130,100,200,30,"");
    fl_set_object_callback(obj,cb_iAudOptRecordDev,0);
  fdui->butAudOptOK = obj = fl_add_button(FL_NORMAL_BUTTON,210,510,150,40,"OK");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_butAudOptOK,0);
  fdui->butAudOptCancel = obj = fl_add_button(FL_NORMAL_BUTTON,50,510,150,40,"Cancel");
    fl_set_object_callback(obj,cb_butAudOptCancel,0);
  obj = fl_add_text(FL_NORMAL_TEXT,10,140,120,30,"Bits");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,210,140,120,30,"Sample Rate");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,10,170,120,30,"Channels");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,210,170,120,30,"Full Duplex");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,10,200,120,30,"Recmode");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,210,200,120,30,"Playmode");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);

  /* changed manually */
  obj = fl_add_text(FL_NORMAL_TEXT,10,240,120,30,"Play Dev Fragsize");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  fdui->iAudOptPlayFragsize= obj = fl_add_input(FL_NORMAL_INPUT,130,240,80,30,"");
    fl_set_object_callback(obj,cb_iAudOptPlayFragsize,0);
  obj = fl_add_text(FL_NORMAL_TEXT,10,270,120,30,"Play Dev Fragments");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  fdui->iAudOptPlayFragments= obj = fl_add_input(FL_NORMAL_INPUT,130,270,80,30,"");
    fl_set_object_callback(obj,cb_iAudOptPlayFragments,0);
  fdui->butAudOptGetPlayInfo = obj = fl_add_button(FL_NORMAL_BUTTON,230,240,80,60,"get default");
    fl_set_object_callback(obj,cb_butAudOptGetPlayInfo,0);
  fdui->butAudOptTestPlayInfo = obj = fl_add_button(FL_NORMAL_BUTTON,330,240,80,60,"test");
    fl_set_object_callback(obj,cb_butAudOptTestPlayInfo,0);


  obj = fl_add_text(FL_NORMAL_TEXT,10,310,120,30,"Rec Dev Fragsize");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  fdui->iAudOptRecFragsize= obj = fl_add_input(FL_NORMAL_INPUT,130,310,80,30,"");
    fl_set_object_callback(obj,cb_iAudOptRecFragsize,0);
  obj = fl_add_text(FL_NORMAL_TEXT,10,340,120,30,"Rec Dev Fragments");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  fdui->iAudOptRecFragments= obj = fl_add_input(FL_NORMAL_INPUT,130,340,80,30,"");
    fl_set_object_callback(obj,cb_iAudOptRecFragments,0);
  fdui->butAudOptGetRecInfo = obj = fl_add_button(FL_NORMAL_BUTTON,230,310,80,60,"get default");
    fl_set_object_callback(obj,cb_butAudOptGetRecInfo,0);
  fdui->butAudOptTestRecInfo = obj = fl_add_button(FL_NORMAL_BUTTON,330,310,80,60,"test");
    fl_set_object_callback(obj,cb_butAudOptTestRecInfo,0);

  obj = fl_add_text(FL_NORMAL_TEXT,10,380,120,30,"Duplex Play Fragsize");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  fdui->iAudOptDuplexPlayFragsize= obj = fl_add_input(FL_NORMAL_INPUT,130,380,80,30,"");
    fl_set_object_callback(obj,cb_iAudOptDuplexPlayFragsize,0);
  obj = fl_add_text(FL_NORMAL_TEXT,10,410,120,30,"Duplex Play Fragments");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  fdui->iAudOptDuplexPlayFragments= obj = fl_add_input(FL_NORMAL_INPUT,130,410,80,30,"");
    fl_set_object_callback(obj,cb_iAudOptDuplexPlayFragments,0);
  obj = fl_add_text(FL_NORMAL_TEXT,10,440,120,30,"Duplex Rec Fragsize");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  fdui->iAudOptDuplexRecFragsize= obj = fl_add_input(FL_NORMAL_INPUT,130,440,80,30,"");
    fl_set_object_callback(obj,cb_iAudOptDuplexRecFragsize,0);
  obj = fl_add_text(FL_NORMAL_TEXT,10,470,120,30,"Duplex Rec Fragments");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  fdui->iAudOptDuplexRecFragments= obj = fl_add_input(FL_NORMAL_INPUT,130,470,80,30,"");
    fl_set_object_callback(obj,cb_iAudOptDuplexRecFragments,0);
  fdui->butAudOptGetDuplexInfo = obj = fl_add_button(FL_NORMAL_BUTTON,230,380,80,120,"get default");
    fl_set_object_callback(obj,cb_butAudOptGetDuplexInfo,0);
  fdui->butAudOptTestDuplexInfo = obj = fl_add_button(FL_NORMAL_BUTTON,330,380,80,120,"test");
    fl_set_object_callback(obj,cb_butAudOptTestDuplexInfo,0);




  fdui->chAudOptFullDuplex = obj = fl_add_choice(FL_NORMAL_CHOICE2,330,170,80,30,"");
    fl_set_object_callback(obj,cb_chAudOptFullDuplex,0);
   fl_set_choice_entries(obj, fdchoice_chAudOptFullDuplex_6);
   fl_set_choice(obj,1);
  fdui->butAudOptTestPlay = obj = fl_add_button(FL_NORMAL_BUTTON,330,70,80,30,"Test");
    fl_set_object_callback(obj,cb_butAudOptTestPlay,0);
  fdui->butAudOptTestRecord = obj = fl_add_button(FL_NORMAL_BUTTON,330,100,80,30,"Test");
    fl_set_object_callback(obj,cb_butAudOptTestRecord,0);
  fdui->chAudOptBits = obj = fl_add_choice(FL_NORMAL_CHOICE2,130,140,80,30,"");
    fl_set_object_callback(obj,cb_chAudOptBits,0);
   fl_set_choice_entries(obj, fdchoice_chAudOptBits_8);
   fl_set_choice(obj,2);
  fdui->chAudOptChannels = obj = fl_add_choice(FL_NORMAL_CHOICE2,130,170,80,30,"");
    fl_set_object_callback(obj,cb_chAudOptChannels,0);
   fl_set_choice_entries(obj, fdchoice_chAudOptChannels_9);
   fl_set_choice(obj,2);
  fdui->chAudOptSampleRate = obj = fl_add_choice(FL_NORMAL_CHOICE2,330,140,80,30,"");
    fl_set_object_callback(obj,cb_chAudOptSampleRate,0);
   fl_set_choice_entries(obj, fdchoice_chAudOptSampleRate_10);
   fl_set_choice(obj,4);


  fdui->chAudOptRecMode = obj = fl_add_choice(FL_NORMAL_CHOICE2,130,200,80,30,"");
    fl_set_object_callback(obj,cb_chAudOptRecMode,0);
   fl_set_choice_entries(obj, fdchoice_chAudOptRecMode_7);
   fl_set_choice(obj,1);

  fdui->chAudOptPlayMode = obj = fl_add_choice(FL_NORMAL_CHOICE2,330,200,80,30,"");
    fl_set_object_callback(obj,cb_chAudOptPlayMode,0);
   fl_set_choice_entries(obj, fdchoice_chAudOptPlayMode_11);
   fl_set_choice(obj,1);
  fl_end_form();

  fdui->fSetAudio->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_fTracks *create_form_fTracks(void)
{
  FL_OBJECT *obj;
  FD_fTracks *fdui = (FD_fTracks *) fl_calloc(1, sizeof(*fdui));

  fdui->fTracks = fl_bgn_form(FL_NO_BOX, 1020, 740);
  obj = fl_add_box(FL_UP_BOX,0,0,1020,740,"");
  fdui->canTrack = obj = fl_add_canvas(FL_NORMAL_CANVAS,10,10,1000,670,"");
    fl_set_object_callback(obj,cb_canTrack,0);
    fl_set_object_gravity(obj,FL_NorthWest,FL_SouthEast);

  fdui->sliTrackZoom = obj = fl_add_slider(FL_HOR_FILL_SLIDER,200,690,740,20,"");
    fl_set_object_callback(obj,cb_sliTrackZoom,0);
    fl_set_object_gravity(obj,FL_SouthWest,FL_SouthEast);
    fl_set_slider_size(obj, 0.15);
  fdui->sliTrackScroll = obj = fl_add_slider(FL_HOR_SLIDER,200,710,740,20,"");
    fl_set_object_callback(obj,cb_sliTrackScroll,0);
    fl_set_object_gravity(obj,FL_SouthWest,FL_SouthEast);
    fl_set_slider_size(obj, 0.15);
    
  fdui->butTrackPlay = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,10,690,60,40,"");
    fl_set_object_resize(obj, FL_RESIZE_NONE); 
    fl_set_object_gravity(obj,FL_SouthWest,FL_SouthWest);
    fl_set_object_callback(obj,cb_butTrackPlay,0);
  fdui->butTrackStop = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,70,690,60,40,"");
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_gravity(obj,FL_SouthWest,FL_SouthWest);
    fl_set_object_callback(obj,cb_butTrackStop,0);
  fdui->butTrackRec = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,130,690,60,40,"");
    fl_set_object_resize(obj, FL_RESIZE_NONE); 
    fl_set_object_gravity(obj,FL_SouthWest,FL_SouthWest);
    fl_set_object_callback(obj,cb_butTrackRec,0);
  fdui->butTrackClose = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,950,690,60,40,"");
    fl_set_object_resize(obj, FL_RESIZE_NONE); 
    fl_set_object_gravity(obj,FL_SouthEast,FL_SouthEast);
    fl_set_object_callback(obj,cb_butTrackClose,0);
  fl_end_form();

  fdui->fTracks->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_fMeter *create_form_fMeter(void)
{
  FL_OBJECT *obj;
  FD_fMeter *fdui = (FD_fMeter *) fl_calloc(1, sizeof(*fdui));

  fdui->fMeter = fl_bgn_form(FL_NO_BOX, 100, 250);
  obj = fl_add_box(FL_UP_BOX,0,0,100,250,"");
  obj = fl_add_canvas(FL_NORMAL_CANVAS,10,10,80,200,"");
  obj = fl_add_text(FL_NORMAL_TEXT,10,220,40,20,"LEFT");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,50,220,40,20,"RIGHT");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fl_end_form();

  fdui->fMeter->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/




FD_fStop *create_form_fStop(void)
{
  FL_OBJECT *obj;
  FD_fStop *fdui = (FD_fStop *) fl_calloc(1, sizeof(*fdui));

  fdui->fStop = fl_bgn_form(FL_NO_BOX, 210, 130);
  obj = fl_add_box(FL_UP_BOX,0,0,210,130,"");
  fdui->canStop = obj = fl_add_canvas(FL_NORMAL_CANVAS,10,10,190,110,"");
    fl_set_object_gravity(obj,FL_NorthWest,FL_SouthEast);
//    fl_set_object_resize(obj, FL_RESIZE_ALL);
    fl_set_object_callback(obj,cb_canStop,0);
  fl_end_form();

  fdui->fStop->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/







